Bug 48377 - mod_filter should be able to process non-200 responses
Summary: mod_filter should be able to process non-200 responses
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_filter (show other bugs)
Version: 2.5-HEAD
Hardware: PC Linux
: P2 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2009-12-11 08:32 UTC by Andrew Huntwork
Modified: 2011-09-17 16:05 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Huntwork 2009-12-11 08:32:42 UTC
I'm trying to use mod_filter (specifically mod_substitute) on non-200
responses, specifically with a 404 response.  After playing around for
a while and assuming that i had screwed something up, i discovered
that mod_filter specifically skips non-200 responses [1].  The feature request is to make skipping non-200 responses configurable in some way.

1.
static apr_status_t filter_harness(ap_filter_t *f, apr_bucket_brigade *bb)

{

   apr_status_t ret;

   const char *cachecontrol;

   char *str;

   harness_ctx *ctx = f->ctx;

   ap_filter_rec_t *filter = f->frec;



   if (f->r->status != 200) {

       ap_remove_output_filter(f);

       return ap_pass_brigade(f->next, bb);

   }
Comment 1 Nick Kew 2009-12-11 09:26:01 UTC
DON'T add people (other than yourself) to interest lists!

I know this follows a discussion on the users@ list where I had suggested recording your request in bugzilla.  That doesn't mean I want to be added (and end up getting any relevant mails twice over).
Comment 2 Nick Kew 2009-12-26 17:49:40 UTC
Fixed in trunk in r894041
Comment 3 Stefan Fritsch 2011-09-17 16:05:39 UTC
r963431 / 2.2.16